jsc(1)

NAME
jsc - command-line JavaScript interpreter.

SYNOPSIS
jsc [options] [files] [-- arguments]

DESCRIPTION
This manual page documents briefly the jsc command.

jsc is a command-line utility that allows you to run JavaScript programs outside of the context of a web browser. It is primarily used as part of the test harness for validating the JavaScript portions of WebKit, but can also be used as a scripting tool.

jsc can be run in an interactive mode to test out JavaScript expressions, or it can be passed one or more files to run similar to invoking a Perl or Python script.

OPTIONS

-e  Evaluate argument as script code.

-f  Specifies a source file (deprecated).

-h, --help
    Shows summary of command-line options.

-i  Enables interactive mode (default if no files are specified).

-p file
    Outputs profiling data to a file.

-s  Installs signal handlers that exit on a crash.

-x  Output exit code before terminating.

--options
    Dumps all JSC VM options and exits.

--dumpOptions
    Dumps all JSC VM options before continuing.

--<jsc VM option>=<value>
    Sets the specified JSC VM option.

AUTHOR
This manual page was written by Alberto Garcia <berto@igalia.com>, based on the contents of http://trac.webkit.org/wiki/JSC.